Updating from 1Password 6 to 1Password 7 fails.

Options
humbug
humbug
Community Member

Running 1Password 6.8.9 purchased through AgileBits store.

I'm a happily paid-up subscriber.

When I try to install the new, exciting-looking 1P7 I get this message:

"The installation failed. The installer encountered an error that caused installation to fail. Contact the software manufacturer for assistance."


1Password Version: 7
Extension Version: Not Provided
OS Version: OS X 10.13.4
Sync Type: 1password.com
Referrer: forum-search:can't install

Comments

  • AGAlumB
    AGAlumB
    1Password Alumni
    Options

    @humbug: Thanks for reaching out. I’m sorry for the trouble! Please do the following:

    1. Quit 1Password completely — Command Option Control Q
    2. Drag any copies of 1Password to the Trash
    3. Restart your Mac
    4. Install a fresh copy of 1Password from our website: https://1password.com/downloads/

    That should do the trick. Let me know how it turns out! :)

  • humbug
    humbug
    Community Member
    Options

    Thanks for the suggestion @brenty. Unfortunately I followed your steps and am still getting the same error. :(

  • humbug
    humbug
    Community Member
    Options

    @brenty Aha! Success! I moved the .pkg file to my desktop and tried running the installer from there, rather than the folder I had downloaded it to. Apparently that was enough to get it to work. Weird...

  • littlebobbytables
    littlebobbytables
    1Password Alumni
    Options

    Hello @humbug,

    That is weird. I don't think I've ever ran the installer from anywhere but the standard Download folder so I don't know what makes your specific folder so unusual as to cause this. Is it just a normal folder in your user folder or something a bit different in some way?

  • humbug
    humbug
    Community Member
    Options

    @littlebobbytables It was a BoxCryptor folder if you want to investigate (although that's normally irrelevant when installing apps etc, and in this instance was not encrypted)

    Yeah, weird.

  • AGAlumB
    AGAlumB
    1Password Alumni
    Options

    Oh, that's interesting. I don't completely understand how Boxcryptor works, but it seems to mount itself as a disk. I think that may be the key, as I know macOS uses App Translocation in other cases where a disk is mounted.

  • Bakari45
    Bakari45
    Community Member
    Options

    I got the installation failed message to, but when I clicked to open 1Password 6, it opened as 7, and from there I paid for the update. So not sure what happened. But it seems to be working.

  • AGAlumB
    AGAlumB
    1Password Alumni
    Options

    Ah, I'm sorry for the hiccup, but glad to hear that it's working for you now. We're here if you need us! :chuffed:

  • deilers
    deilers
    Community Member
    Options

    I had this same error when installing over V6... However, it seems to still work since V7 is now opening. That said, I'm now being asked to subscribe when I paid for previous versions. Since I'm a payed up customer why am I now being forced into a membership? Am I unable to simply use the app (including my iOS app) using my paid status?

  • AGAlumB
    AGAlumB
    1Password Alumni
    Options

    @deilers: You're not forced to do anything. You've got three options:

    a. Subscribe to a 1Password.com membership to get everything: all of the apps, the web interface, and no more license management or sync configuration — you simply login to your account to authorize a device and access your data.

    b. Pay for a license for 1Password 7, and sync your own data.

    c. Continue using the version you paid for already.

    It's entirely up to you. I hope this helps. But be sure to let me know if you have any other questions! :)

  • deilers
    deilers
    Community Member
    Options

    Hi Brenty. Nowhere in the window that displayed when I installed V7 did it show any option to (b) Pay for a license for 1PW 7 (only the membership option), or (c) Continue using V6. When I installed V7 it replaced V6 so I had to hunt down V6 and reinstall it. Not to mention installation failure error that displayed in both cases, even when re-installing V6. You guys really need to fix all of the above issues so customers like me aren't having to assume the worse. Make it more clear please, and fix the errors mentioned under this thread.

  • AGAlumB
    AGAlumB
    1Password Alumni
    Options

    @deilers: Why would 1Password 7 suggest that you use 1Password 6? I think it's reasonable to assume that you're trying to use version 7 if you install and run it. I don't think that's something we need to "fix". It does save version 6 in a zip file though in case you need it, so you don't need to "hunt down" anything. It isn't true that there's only a membership option:

    Regarding the license purchase, you're welcome to use 1Password 7 in read-only mode to evaluate it before purchasing. And if you want to remove that restriction, you'll find that clicking on that message will give you the option to purchase the license for that purpose. You may prefer that there's a nag screen or something, but we've generally received the opposite feedback from customers over the years. It's something we'll continue to evaluate though.

    Regarding the installation issue, we've had exactly three reports of this and are not able to reproduce it ourselves. If we can find the cause we'll fix it, but at this time it still isn't clear why this has happened to a few people. I'm sorry you ran into this issue, but there is a solution, and of course we're here for anyone who needs our help with this or anything else. If you can provide some more details I'll be happy to pass them on to the team so we can investigate further. Either way, thanks for the feedback!

  • deilers
    deilers
    Community Member
    Options

    You're completely missing my point. I PAID for V6, which isn't broken so why would I want to pay for V7? Nowhere when installing V7 did it prompt me to say, "Hey, just a heads up you'll need to pay AGAIN for V7 so before you install this version make sure you actually want to spend more money for something that isn't broken." By installing V7, and then finding out AFTER the install that it's a paid upgrade I then had to hunt down V6 and install it. Granted, the hunt for V6 was not at all hard, and i appreciate you offering past versions through your site, but it was still a hassle. It would be nice to make it crystal clear, big and bold, that V7 is a paid upgrade for those of us who paid for V6 already.

    For clarity, here is the scenario I went through, which has me upset...

    I purchased a new Macbook Pro, and in the process of prepping my new laptop I went to your site (via a Google search for "download 1password) and simply downloaded the latest version (V7) show on the landing page (https://1password.com/downloads/). After installing V7, and spending over an hour searching around for the reason why it would not accept my previous 1password database file, I discovered it was a paid upgrade and thus I had to downgrade to V6.

  • AGAlumB
    AGAlumB
    1Password Alumni
    Options

    @deilers: Thanks for clarifying. I'm sorry for the confusion. I don't see how the website could know which version you paid for and offer it to you instead of the latest though. If you're happy with the version you've already purchased, then you can certainly continue using that. And we're happy to point you in the right direction if you need help finding something in the future. :)

This discussion has been closed.